Bug 245604 - Requires libgnomeui-devel, doesn't appear to use it
Requires libgnomeui-devel, doesn't appear to use it
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: goffice04 (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Julian Sikorski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-25 13:50 EDT by Bill Nottingham
Modified: 2014-03-16 23:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.4.2-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 18:22:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-06-25 13:50:39 EDT
goffice04 buildrequires/requires-in-devel libgnomeui-devel, but it doesn't
actually appear to use it.

It also could theoretically use libgsf-gnome, but doesn't require it (don't know
if any of its users would actually use that functionality.)

goffice04-0.4.0-2.fc7
Comment 1 Julian Sikorski 2007-06-25 15:06:45 EDT
The SPEC was shamelessly copied from 0.2.x one. I guess some additional
adjustments will be necessary. I'll look into it later.
Comment 2 Julian Sikorski 2007-06-27 19:38:52 EDT
I killed libgnomeui-devel dependency, but browsing the build log does not give
any hint of libgsf-gnome support. How did you find it?
Comment 3 Bill Nottingham 2007-06-27 23:39:17 EDT
goffice/utils/go-file.c

There's a pkgconfig check in configure.in.
Comment 4 Julian Sikorski 2007-08-05 10:53:58 EDT
There is a check for libgnomeui as well. I am thus going to keep the
libgnomeui-devel dep, and add libgsf-gnome-devel one.
Comment 5 Fedora Update System 2007-08-06 13:54:00 EDT
goffice04-0.4.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Julian Sikorski 2007-08-08 03:35:10 EDT
Are you satisfied with the resolution?
Comment 7 Bill Nottingham 2007-08-08 12:31:19 EDT
Works for me.
Comment 8 Fedora Update System 2007-08-10 18:22:20 EDT
goffice04-0.4.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.